org.fourthline.cling.support.model.dlna.types

## Class NormalPlayTime

- java.lang.Object
- - org.fourthline.cling.support.model.dlna.types.NormalPlayTime

-     public class NormalPlayTime
      extends Object

  Author:
    Mario Franco

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NormalPlayTime.Format`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalPlayTime(long milliseconds)`
    `NormalPlayTime(long hours, long minutes, long seconds, long milliseconds)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMilliseconds()`
    `String` | `getString()`
    `String` | `getString(NormalPlayTime.Format format)` We don't ignore the right zeros in milliseconds, a small compromise
    `void` | `setMilliseconds(long milliseconds)`
    `static NormalPlayTime` | `valueOf(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalPlayTime

          public NormalPlayTime(long milliseconds)

    - #### NormalPlayTime

          public NormalPlayTime(long hours,
                                long minutes,
                                long seconds,
                                long milliseconds)
                         throws InvalidValueException

      Throws:
        `InvalidValueException`

  - ### Method Detail

    - #### getMilliseconds

          public long getMilliseconds()

      Returns:
        the milliseconds

    - #### setMilliseconds

          public void setMilliseconds(long milliseconds)

      Parameters:
        `milliseconds` - the milliseconds to set

    - #### getString

          public String getString()

    - #### getString

          public String getString(NormalPlayTime.Format format)

      We don't ignore the right zeros in milliseconds, a small compromise
      Parameters:
        `format` -

    - #### valueOf

          public static NormalPlayTime valueOf(String s)
                                        throws InvalidValueException

      Throws:
        `InvalidValueException`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.